com.pdfunit.validators

## Class ComparePageValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AbstractPageValidator
    - - com.pdfunit.validators.ComparePageValidator

-     @DoNotObfuscate
      public final class ComparePageValidator
      extends com.pdfunit.validators.AbstractPageValidator

  Validator to compare page related properties of two PDF documents. See `CompareDocumentValidator` if you want to compare properties which are unrelated to pages.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractPageValidator

      `effectedPageNumbers, pageScanFlag, pagesToUse, region`

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComparePageValidator(CompareDocumentValidator compareDocumentValidator, DocumentValidator documentValidatorTest, DocumentValidator documentValidatorMaster)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComparePageValidator` | `haveSameAppearance()` This method renders each specified page of a test PDF document and compares it as an image to the same area of a master PDF.
    `ComparePageValidator` | `haveSameFieldsByName()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameFieldsByValue()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameFormat()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameImages()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameNumberOfImages()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameText()` This method does what the name suggests.
    `ComparePageValidator` | `haveSameText(WhitespaceProcessing whitespaceProcessing)`
    `ComparePageValidator` | `restrictedTo(PageRegion region)` This method sets a region filter for the following validation process.

    - ### Methods inherited from class com.pdfunit.validators.AbstractPageValidator

      `createFullSizeRegionFromDocument, getEffectedPages, getPageScanFlag, setPagesToUse, setRegion`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComparePageValidator

          protected ComparePageValidator(CompareDocumentValidator compareDocumentValidator,
                              DocumentValidator documentValidatorTest,
                              DocumentValidator documentValidatorMaster)

  - ### Method Detail

    - #### haveSameAppearance

          public ComparePageValidator haveSameAppearance()

      This method renders each specified page of a test PDF document and compares it as an image to the same area of a master PDF. Both documents must have the same format.

    - #### haveSameFieldsByName

          public ComparePageValidator haveSameFieldsByName()

      This method does what the name suggests.

    - #### haveSameFieldsByValue

          public ComparePageValidator haveSameFieldsByValue()

      This method does what the name suggests.

    - #### haveSameFormat

          public ComparePageValidator haveSameFormat()

      This method does what the name suggests.

    - #### haveSameImages

          public ComparePageValidator haveSameImages()

      This method does what the name suggests.

    - #### haveSameNumberOfImages

          public ComparePageValidator haveSameNumberOfImages()

      This method does what the name suggests.

    - #### haveSameText

          public ComparePageValidator haveSameText()

      This method does what the name suggests.

    - #### haveSameText

          @Guarded
          public ComparePageValidator haveSameText(WhitespaceProcessing whitespaceProcessing)

    - #### restrictedTo

          @Guarded
          public ComparePageValidator restrictedTo(PageRegion region)

      This method sets a region filter for the following validation process.

Copyright (C) PDFUnit.com. See here for license.